Page MenuHomePhabricator

Abstract dumps broken by MW deploy
Closed, ResolvedPublic

Description

dumpsgen@snapshot1001:/srv/deployment/dumps/dumps/xmldumps-backup$ /usr/bin/php5 /srv/mediawiki/multiversion/MWScript.php dumpBackup.php --wiki=gnwikibooks /srv/mediawiki/php-1.31.0-wmf.15 --plugin=AbstractFilter:/srv/mediawiki/php-1.31.0-wmf.15/extensions/ActiveAbstract/AbstractFilter.php --current --report=1000 --output=file:/tmp/abstractsjunk.gz --filter=namespace:NS_MAIN --filter=noredirect --filter=abstract --skip-footer --start=1 --end=1

Fatal error: Class 'NoredirectFilter' not found in /srv/mediawiki/php-1.31.0-wmf.15/maintenance/backup.inc on line 212

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 1:17 PM
ArielGlenn triaged this task as High priority.Jan 4 2018, 1:17 PM
ArielGlenn renamed this task from Abstrct dumps broken by MW deploy to Abstract dumps broken by MW deploy.Jan 4 2018, 1:20 PM
ArielGlenn added a project: Dumps-Generation.

Change 402062 had a related patch set uploaded (by Chad; owner: Chad):
[mediawiki/extensions/ActiveAbstract@wmf/1.31.0-wmf.15] Revert "Move classes to own files"

https://gerrit.wikimedia.org/r/402062

Change 402063 had a related patch set uploaded (by Chad; owner: Chad):
[mediawiki/extensions/ActiveAbstract@wmf/1.31.0-wmf.15] Revert "Simplify use of --plugin argument of BackupDumper"

https://gerrit.wikimedia.org/r/402063

Change 402062 merged by Chad:
[mediawiki/extensions/ActiveAbstract@wmf/1.31.0-wmf.15] Revert "Move classes to own files"

https://gerrit.wikimedia.org/r/402062

Change 402063 merged by Chad:
[mediawiki/extensions/ActiveAbstract@wmf/1.31.0-wmf.15] Revert "Simplify use of --plugin argument of BackupDumper"

https://gerrit.wikimedia.org/r/402063

Mentioned in SAL (#wikimedia-operations) [2018-01-04T15:31:34Z] <demon@tin> Synchronized php-1.31.0-wmf.15/extensions/ActiveAbstract/: unbreak, T184177 (duration: 01m 02s)

Takes care of the immediate issue. Guess we need the long term fix now. Reducing priority to 'normal'.

ArielGlenn lowered the priority of this task from High to Normal.Jan 4 2018, 3:38 PM
mmodell added a subscriber: mmodell.

Takes care of the immediate issue. Guess we need the long term fix now. Reducing priority to 'normal'.

Ok I removed this from blocking the train.

[4b4bf3ab3e838973feecfa64] [no req]   Error from line 212 of /srv/mediawiki/php-master/maintenance/backup.inc: Class 'NoredirectFilter' not found

Now on my beta snapshot instance, because not fixed yet in master. Blocks T184258.

brion added a subscriber: brion.Jan 9 2018, 12:26 AM

I believe there is no autoloader set up for NoredirectFilter class because the extension is not being loaded -- only the individual AbstractFilter.php class was loaded via the --plugin invocation, whereas the autoloader is set up by the extension.json.

In isolation, it seems happier if I add wfLoadExtension('ActiveAbstract') to my LocalSettings.php -- could it be the extension isn't loaded in production either, and was relying on loading the individual plugin files via the invocation config?

Change 403114 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/mediawiki-config@master] load ActiveAbtract extension explicitly so class autoloading works

https://gerrit.wikimedia.org/r/403114

Change 403114 merged by 20after4:
[operations/mediawiki-config@master] load ActiveAbtract extension explicitly so class autoloading works

https://gerrit.wikimedia.org/r/403114

greg added a subscriber: greg.Jan 12 2018, 7:10 PM

Still an issue post that ^ merge?

It runs! TYVM.

greg closed this task as Resolved.Jan 13 2018, 7:42 PM
greg assigned this task to ArielGlenn.